%define name xsession-berry
%define version 0.27
%define release b1

Name:		%{name}
Summary:	Automatic Xsession Startup Script for BERRY
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Automatic Xsession Startup Script for BERRY


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/etc/init.d
cp xsession-prefix %{buildroot}/etc/init.d/xsession
sed -e "/^##.*/d" xsession >> %{buildroot}/etc/init.d/xsession
chmod 755 %{buildroot}/etc/init.d/xsession
mkdir -p %{buildroot}/etc/X11/xinit/xinitrc.d/
install -m 755 xdesktop.sh %{buildroot}/etc/X11/xinit/xinitrc.d/
mkdir -p %{buildroot}/opt/berry
install -m 644 berry.jpg %{buildroot}/opt/berry


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/etc/init.d/xsession
/etc/X11/xinit/xinitrc.d/xdesktop.sh
/opt/berry/berry.jpg


##
## change log
##

%changelog
* Thu Apr 27 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Supported Xgl and nvidia, ati drivers.
* Fri Mar 31 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Supported X.Org 7.0
* Sat Aug 20 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Supported XDirectFB
* Fri May 13 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed playing KDE_Startup_1.ogg and KDE_Logout_1.ogg
* Wed Mar 23 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added berry.jpg
- Changed path ~/Desktop/Documents to ~/Documents
* Sun Jan 9 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added Movies, Music, Pictures icons
- Added Terminal icon
* Sun Nov 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added Media Player icon
- Bug fix for Num Lock
* Mon Jul 12 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Deleted Print icon
- Added Internet & Mail icon
- Changed name of xdesktop to xdesktop.sh
* Mon Jul 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Deleted Home icon
* Wed Jun 23 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to xsession-initscript-knoppix_0.5-51.tar.gz
* Tue May 4 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed xsession for X.Org 6.7
* Mon Mar 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed icons for KDE-3.2
* Wed Jan 21 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- chmod +x xdesktop
- Added HOME
* Fri Nov 21 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use UTF-8
- Added "Network", "Document", "Print Status"
* Mon Oct 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use mkdiscicons
* Mon Oct 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added xdesktop
* Wed Aug 6 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed /dev/discs/disc?/part? to /dev/hd[a-z][0-9] in KDE Desktop HD
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to xsession-initscript-knoppix_0.5-9.tar.gz
* Wed Apr 23 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up
* Fri Apr 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/)
- xsession-initscript-knoppix_0.5-7.tar.gz
